//A program to test starting as many threads as you have processors

public class ProcTest
{
  public static void main(String [] args)
  {
    //Get the number of available processors on your system
    int processors = Runtime.getRuntime().availableProcessors();

    //Create array to hold thread objects
    TestThread [] t = new TestThread[processors];

    //Allocate and start each thread
    for( int i = 0; i < processors; i++ )
    {
      t[i] = new TestThread();

      //This starts a thread.  Don't call run to start a thread!
      t[i].start();
    }
  }
}
